--- title: Get Companies Per Company Country Code description: Retrieve all ISO country codes with the number of companies headquartered in each country. Use this endpoint for geographic distribution analysis. Calls to this endpoint are free and do not consume any API credits. url: https://theirstack.com/en/docs/api-reference/catalog/get_catalog_companies_per_company_country_code_v0 --- ## GET /v0/catalog/companies\_per\_company\_country\_code — Get Companies Per Company Country Code Retrieve all ISO country codes with the number of companies headquartered in each country. Use this endpoint for geographic distribution analysis. Calls to this endpoint are free and do not consume any API credits. ### Parameters | Name | In | Type | Required | Description | | --- | --- | --- | --- | --- | | `country` | query | string | No | Name of a country. Will return the country matching their name in English | | `page` | query | integer | No | Page number. | | `limit` | query | integer | No | Number of results per page | ### Responses #### 200 — Successful Response | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | array | Yes | | | `metadata` | BaseMetadata | Yes | | ##### `data` | Field | Type | Required | Description | | --- | --- | --- | --- | | `country` | string | No | Country name | | `iso2` | string | No | ISO2 country code | | `num_companies` | integer | No | Number of companies in the country | ##### `metadata` | Field | Type | Required | Description | | --- | --- | --- | --- | | `total_results` | integer | No | Total number of results | #### 400 — Bad Request | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 402 — Payment Required | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 422 — Unprocessable Entity | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. | #### 500 — Internal Server Error | Field | Type | Required | Description | | --- | --- | --- | --- | | `error` | Error | Yes | | | `request_id` | integer | No | The request id. This is useful to contact us to help you debug the issue. The request\_id won't be present in all errors. | ##### `error` | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | string | No | The error code. Eg: \`E-001\`, \`E-002\`, \`E-003\`, \`E-004\`, \`E-005\`, \`E-006\`, \`E-007\`, \`E-008\`, \`E-009\`, \`E-010\`, \`E-011\`, \`E-012\`, \`E-013\`, \`E-014\`, \`E-015\`, \`E-016\` | | `description` | string | No | The error description | | `title` | string | Yes | The error title. |